CycloneWade
Automotive
- Apr 1, 2005
- 76
This seems really trival but I'm trying to change the value of a dimension that has been selected and rebuild the part.
Here is snap shot of the code where I prompt the user to select a dimension. In the code I can retrieve the current value, but no I'm struggling with changing that value, then rebuilding the part.
************************************************
swApp.SendMsgToUser2 "Please select a dimension.", swMbWarning, swMbOk
While SelMgr.GetSelectedObjectType3(1, 0) <> swSelDIMENSIONS
Model.ClearSelection2 True 'Clear all selections
While SelMgr.GetSelectedObjectCount < MINSELECTIONS
DoEvents 'Wait for user selection
Wend
If SelMgr.GetSelectedObjectType3(1, 0) = swSelDIMENSIONS Then
Set MyDim = SelMgr.GetSelectedObject6(1, 0)
End If
Wend
MyDimValue = MyDim.GetDimension2(0).Value
Change dimension value here and rebuild part...
***********
Thanks.
Here is snap shot of the code where I prompt the user to select a dimension. In the code I can retrieve the current value, but no I'm struggling with changing that value, then rebuilding the part.
************************************************
swApp.SendMsgToUser2 "Please select a dimension.", swMbWarning, swMbOk
While SelMgr.GetSelectedObjectType3(1, 0) <> swSelDIMENSIONS
Model.ClearSelection2 True 'Clear all selections
While SelMgr.GetSelectedObjectCount < MINSELECTIONS
DoEvents 'Wait for user selection
Wend
If SelMgr.GetSelectedObjectType3(1, 0) = swSelDIMENSIONS Then
Set MyDim = SelMgr.GetSelectedObject6(1, 0)
End If
Wend
MyDimValue = MyDim.GetDimension2(0).Value
Change dimension value here and rebuild part...
***********
Thanks.